View Issue Details

IDProjectCategoryView StatusLast Update
0018282LazarusDebuggerpublic2010-12-23 22:39
ReporterSven BarthAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0018282: Only one Watch can be added while Watches Window is visible
DescriptionWhen adding a watch in the watches window, I can no longer add a watch until I close the watches window and reopen it again. Then I can ONE watch again.

As watches are sometimes necessary when debugging with Lazarus+GDB this should be fixed before 0.9.30 is released.
Additional Information* open the watches window (you don't even need to debug for this)
* add a watch
* the "+" and the context menu entries for adding a watch are disabled
* close the watches window
* goto step 1

System: i386-linux GTK2
TagsNo tags attached.
Fixed in Revision28801
LazTarget0.9.30
Widgetset
Attached Files

Activities

Vincent Snijders

2010-12-20 22:22

manager   ~0044446

Did this work with 0.9.28?

Sven Barth

2010-12-21 16:06

manager   ~0044466

Can't tell you... Till recently I hadn't the need to debug that extensively on Linux and on Windows it works. Also I don't have a working 0.9.28 lying around (I'll try to reactivate it, though).

Regards,
Sven

Sven Barth

2010-12-21 20:41

manager   ~0044474

I managed to start my old 0.9.28 version.

Yes, I can add watches as much as I like. There is no toolbar yet, but in my description I also said that "Add" is disabled in the context menu as well.

Regards,
Sven

Martin Friebe

2010-12-23 19:54

manager   ~0044541

please test and close if ok

Sven Barth

2010-12-23 22:39

manager   ~0044543

Yes, it works now. Thank you very much.

Regards,
Sven

Issue History

Date Modified Username Field Change
2010-12-20 22:16 Sven Barth New Issue
2010-12-20 22:16 Sven Barth Status new => assigned
2010-12-20 22:16 Sven Barth Assigned To => Marc Weustink
2010-12-20 22:16 Sven Barth Widgetset => GTK 2
2010-12-20 22:22 Vincent Snijders Note Added: 0044446
2010-12-21 13:18 Martin Friebe Assigned To Marc Weustink => Martin Friebe
2010-12-21 16:06 Sven Barth Note Added: 0044466
2010-12-21 20:41 Sven Barth Note Added: 0044474
2010-12-23 19:54 Martin Friebe Fixed in Revision => 28801
2010-12-23 19:54 Martin Friebe LazTarget => 0.9.30
2010-12-23 19:54 Martin Friebe Widgetset GTK 2 =>
2010-12-23 19:54 Martin Friebe Status assigned => resolved
2010-12-23 19:54 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-12-23 19:54 Martin Friebe Resolution open => fixed
2010-12-23 19:54 Martin Friebe Note Added: 0044541
2010-12-23 19:54 Martin Friebe Target Version => 0.9.30
2010-12-23 22:39 Sven Barth Status resolved => closed
2010-12-23 22:39 Sven Barth Note Added: 0044543